/ comp / gb.opengl / gl / calllists
Gl.CallLists (gb.opengl)
Syntax

    STATIC SUB CallLists ( Lists AS Integer[] )

### Execute a list of display lists

#### Parameters

- Lists specifies an array of display lists to be executed.

#### Description

Gl.CallLists causes each display list in the list of names passed as lists to be executed. As a result, the commands saved in each display list are executed in order, just as if they were called without using a display list. Names of display lists that have not been defined are ignored.

A level of indirection is made available with the Gl.ListBase command, which specifies an unsigned offset that is added to each display-list name specified in lists before that display list is executed.

Gl.CallLists can appear inside a display list. To avoid the possibility of infinite recursion resulting from display lists calling one another, a limit is placed on the nesting level of display lists during display-list execution. This limit must be at least 64, and it depends on the implementation.

GL state is not saved and restored across a call to Gl.CallList. Thus, changes made to GL state during the execution of a display list remain after execution of the display list is completed. Use Gl.PushAttrib, Gl.PopAttrib, Gl.PushMatrix, and Gl.PopMatrix to preserve GL state across Gl.CallList calls.

| Display lists can be executed between a call to Gl.Begin and the corresponding call to Gl.End, as long as the display list includes only commands that are allowed in this interval.

#### Associated Gets

Gl.GetListBase
Gl.MaxListNesting
Gl.IsList

### See also

Gl.CallList , Gl.DeleteLists, Gl.GenLists , Gl.ListBase , Gl.NewList , Gl.PushAttrib, Gl.PushMatrix